import { DefaultActionCatalog } from '../utils';
import { ActionCreator } from './types';
/**
 * Generate single Basic Action Creator with signature:
 * (depending on each Action)
 * ```
 * (payload?, meta?) => Action
 * ```
 *
 * @template TCatalog ActionCatalog
 * @template TType Action Type
 *
 * @param type action type
 */
export declare function createActionCreator<TCatalog = DefaultActionCatalog, TType extends keyof TCatalog = keyof TCatalog>(type: TType): ActionCreator<TCatalog, TType>;
