import { WrapResultInHandlers, DuplicatedKeysInObjects } from './types';
/**
 * Same as [[combineObjects]]:
 *
 * - Always returns a new object.
 * - The combined ActionHandlers won't lose index signature.
 *
 * Except:
 *
 * - Duplicated keys are not allowed.
 *   The resulted type will be inferred as `never`
 *   if there are(or potential) duplicated keys.
 */
export declare function combineUniqueObjects<TObjects extends any[]>(...objs: TObjects): DuplicatedKeysInObjects<TObjects> extends never ? WrapResultInHandlers<TObjects[number]> : never;
