import { WrapResultInHandlers } from './types';
/**
 * Same as [[combineObjects]]:
 *
 * - Always returns a new object.
 * - The combined ActionHandlers won't lose index signature.
 *
 * Since it's wrapped with Proxy:
 *
 * - Properties are only created and cached on first visit.
 * - Fallback to [[combineObjects]] if `Proxy` is not supported.
 */
export declare function proxyCombineObjects<TObjects extends any[]>(...objs: TObjects): WrapResultInHandlers<TObjects[number]>;
