"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const proxy_combine_objects_1 = require("./proxy-combine-objects");
function proxyCombineUniqueObjects(...objs) {
    const combinedObjs = proxy_combine_objects_1.proxyCombineObjects(...objs);
    /* istanbul ignore else */
    if (process.env.NODE_ENV !== 'production') {
        if (objs.reduce((sum, o) => sum + Object.keys(o).length, 0) !==
            Object.keys(combinedObjs).length) {
            throw new Error('Proxy Combine Unique Objects: Duplicated keys found.');
        }
    }
    return combinedObjs;
}
exports.proxyCombineUniqueObjects = proxyCombineUniqueObjects;
//# sourceMappingURL=proxy-combine-unique-objects.js.map