"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
/**
 * @param initialState Initial state
 * @param handlers Retux Action Handler
 */
function createReducer(initialState, handlers) {
    return function reducer(state = initialState, action) {
        if (utils_1.hasOwnProperty.call(handlers, action.type)) {
            return handlers[action.type](state, action);
        }
        else {
            return state;
        }
    };
}
exports.createReducer = createReducer;
//# sourceMappingURL=create-reducer.js.map