import { MixedActionCreators, CreateDefaultActionCreator } from '../utils';
/**
 * Generate Action Creators.
 *
 * @param createActionCreator Retux basic or fsa `createActionCreator` function.
 * @param actionHandlers Retux Action Handlers.
 * @param extraActionCreators Overwrite some of the generated
 * Action Creators or add more.
 */
export declare function createDefaultActionCreators<TCreateActionCreator extends CreateDefaultActionCreator, THandlers extends {}, TExtra extends MixedActionCreators = MixedActionCreators>(createActionCreator: TCreateActionCreator, actionHandlers: THandlers, extraActionCreators?: TExtra): {
    [type: string]: (...args: any) => any;
};
