"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
/**
 * Generate Action Creators.
 *
 * @param createActionCreator Retux basic or fsa `createActionCreator` function.
 * @param actionHandlers Retux Action Handlers.
 * @param extraActionCreators Overwrite some of the generated
 * Action Creators or add more.
 */
function createDefaultActionCreators(createActionCreator, actionHandlers, extraActionCreators) {
    const result = {};
    if (extraActionCreators) {
        for (const type in extraActionCreators) {
            /* istanbul ignore else */
            if (utils_1.hasOwnProperty.call(extraActionCreators, type)) {
                result[type] = extraActionCreators[type];
            }
        }
    }
    for (const type in actionHandlers) {
        /* istanbul ignore else */
        if (utils_1.hasOwnProperty.call(actionHandlers, type)) {
            if (!extraActionCreators || !utils_1.hasOwnProperty.call(result, type)) {
                result[type] = createActionCreator(type);
            }
        }
    }
    return result;
}
exports.createDefaultActionCreators = createDefaultActionCreators;
//# sourceMappingURL=create.js.map