import { MixedActionCreators, CreateDefaultActionCreator } from '../utils';
/**
 * Lazy generate Action Creators with Proxy.
 *
 * Fallback to [[createDefaultActionCreators]]
 * if `Proxy` is not supported.
 *
 * @param createActionCreator Retux basic or fsa `createActionCreator` function.
 * @param actionHandlers Retux Action Handlers.
 * @param extraActionCreators Overwrite some of the generated
 * Action Creators or add more.
 */
export declare function proxyDefaultActionCreators<TCreateActionCreator extends CreateDefaultActionCreator, THandlers extends {}, TExtra extends MixedActionCreators = MixedActionCreators>(createActionCreator: TCreateActionCreator, actionHandlers: THandlers, extraActionCreators?: TExtra): {
    [type: string]: (...args: any) => any;
};
